Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BulletSoftBodyNode Class Reference

Inheritance diagram for BulletSoftBodyNode:

List of all members.

## Public Member Functions
| addForce (Vec3 const force)
| addForce (Vec3 const force, int node)
| addVelocity (Vec3 const velocity)
| addVelocity (Vec3 const velocity, int node)
| appendAnchor (int node, BulletRigidBodyNode body, Vec3 const pivot, bool disable)
| appendAnchor (int node, BulletRigidBodyNode body, Vec3 const pivot)
| appendAnchor (int node, BulletRigidBodyNode body, bool disable)
| appendAnchor (int node, BulletRigidBodyNode body)
BulletSoftBodyMaterial | appendMaterial ()
VBase3 | clusterCom (int cluster)
| generateBendingConstraints (int distance)
| generateBendingConstraints (int distance, BulletSoftBodyMaterial material)
| generateClusters (int k, int maxiterations)
| generateClusters (int k)
BoundingBox | getAabb ()
BulletSoftBodyConfig | getCfg ()
int | getClosestNodeIndex (VBase3 point, bool local)
| Returns the index of the node which is closest to the given point.
float | getMass (int node)
BulletSoftBodyMaterial | getMaterial (int idx)
list | getMaterials ()
BulletSoftBodyNodeElement | getNode (int idx)
list | getNodes ()
int | getNumClusters ()
int | getNumMaterials ()
int | getNumNodes ()
float | getTotalMass ()
float | getVolume ()
BulletSoftBodyWorldInfo | getWorldInfo ()
| linkCurve (NurbsCurveEvaluator curve)
| linkGeom (Geom geom)
| linkSurface (NurbsSurfaceEvaluator surface)
| randomizeConstraints ()
| releaseCluster (int index)
| releaseClusters ()
| setMass (int node, float mass)
| setPose (bool bvolume, bool bframe)
| setTotalDensity (float density)
| setTotalMass (float mass, bool fromfaces)
| setTotalMass (float mass)
| setVelocity (Vec3 const velocity)
| setVolumeDensity (float density)
| setVolumeMass (float mass)
| unlinkCurve ()
| unlinkGeom ()
| unlinkSurface ()
## Static Public Member Functions
static TypeHandle | getClassType ()
static BulletSoftBodyNode | makeEllipsoid (BulletSoftBodyWorldInfo info, Point3 const center, VBase3 const radius, int res)
static BulletSoftBodyNode | makePatch (BulletSoftBodyWorldInfo info, Point3 const corner00, Point3 const corner10, Point3 const corner01, Point3 const corner11, int resx, int resy, int fixeds, bool gendiags)
static BulletSoftBodyNode | makeRope (BulletSoftBodyWorldInfo info, Point3 const from, Point3 const to, int res, int fixeds)
static BulletSoftBodyNode | makeTetMesh (BulletSoftBodyWorldInfo info, PointerToArrayVBase3 points, PointerToArrayint indices)
static BulletSoftBodyNode | makeTetMesh (BulletSoftBodyWorldInfo info, PointerToArrayVBase3 points, PointerToArrayint indices, bool tetralinks)
static BulletSoftBodyNode | makeTetMesh (BulletSoftBodyWorldInfo info, string ele, string face, string node)
static BulletSoftBodyNode | makeTriMesh (BulletSoftBodyWorldInfo info, PointerToArrayVBase3 points, PointerToArrayint indices)
static BulletSoftBodyNode | makeTriMesh (BulletSoftBodyWorldInfo info, Geom const geom, bool randomizeConstraints)
static BulletSoftBodyNode | makeTriMesh (BulletSoftBodyWorldInfo info, Geom const geom)
static BulletSoftBodyNode | makeTriMesh (BulletSoftBodyWorldInfo info, PointerToArrayVBase3 points, PointerToArrayint indices, bool randomizeConstraints)

## Member Function Documentation

addForce | ( | Vec3 const | force | ) |

addForce | ( | Vec3 const | force,
|  | int | node
| ) |  |

addVelocity | ( | Vec3 const | velocity | ) |

addVelocity | ( | Vec3 const | velocity,
|  | int | node
| ) |  |

appendAnchor | ( | int | node,
|  | BulletRigidBodyNode | body,
|  | Vec3 const | pivot,
|  | bool | disable
| ) |  |

appendAnchor | ( | int | node,
|  | BulletRigidBodyNode | body,
|  | Vec3 const | pivot
| ) |  |

appendAnchor | ( | int | node,
|  | BulletRigidBodyNode | body,
|  | bool | disable
| ) |  |

appendAnchor | ( | int | node,
|  | BulletRigidBodyNode | body
| ) |  |

BulletSoftBodyMaterial appendMaterial | ( |  | ) |

VBase3 clusterCom | ( | int | cluster | ) |

generateBendingConstraints | ( | int | distance | ) |

generateBendingConstraints | ( | int | distance,
|  | BulletSoftBodyMaterial | material
| ) |  |

generateClusters | ( | int | k,
|  | int | maxiterations
| ) |  |

generateClusters | ( | int | k | ) |

BoundingBox getAabb | ( |  | ) |

BulletSoftBodyConfig getCfg | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from BulletBodyNode.

int getClosestNodeIndex | ( | VBase3 | point,
|  | bool | local
| ) |  |

Returns the index of the node which is closest to the given point.

The distance between each node and the given point is computed in world space if local=false, and in local space if local=true.

float getMass | ( | int | node | ) |

BulletSoftBodyMaterial getMaterial | ( | int | idx | ) |

list getMaterials | ( |  | ) |

BulletSoftBodyNodeElement getNode | ( | int | idx | ) |

list getNodes | ( |  | ) |

int getNumClusters | ( |  | ) |

int getNumMaterials | ( |  | ) |

int getNumNodes | ( |  | ) |

float getTotalMass | ( |  | ) |

float getVolume | ( |  | ) |

BulletSoftBodyWorldInfo getWorldInfo | ( |  | ) |

linkCurve | ( | NurbsCurveEvaluator | curve | ) |

linkGeom | ( | Geom | geom | ) |

linkSurface | ( | NurbsSurfaceEvaluator | surface | ) |

static BulletSoftBodyNode makeEllipsoid | ( | BulletSoftBodyWorldInfo | info,
|  | Point3 const | center,
|  | VBase3 const | radius,
|  | int | res
| ) |  | `[static]`

static BulletSoftBodyNode makePatch | ( | BulletSoftBodyWorldInfo | info,
|  | Point3 const | corner00,
|  | Point3 const | corner10,
|  | Point3 const | corner01,
|  | Point3 const | corner11,
|  | int | resx,
|  | int | resy,
|  | int | fixeds,
|  | bool | gendiags
| ) |  | `[static]`

static BulletSoftBodyNode makeRope | ( | BulletSoftBodyWorldInfo | info,
|  | Point3 const | from,
|  | Point3 const | to,
|  | int | res,
|  | int | fixeds
| ) |  | `[static]`

static BulletSoftBodyNode makeTetMesh | ( | BulletSoftBodyWorldInfo | info,
|  | string | ele,
|  | string | face,
|  | string | node
| ) |  | `[static]`

static BulletSoftBodyNode makeTetMesh | ( | BulletSoftBodyWorldInfo | info,
|  | PointerToArrayVBase3 | points,
|  | PointerToArrayint | indices
| ) |  | `[static]`

static BulletSoftBodyNode makeTetMesh | ( | BulletSoftBodyWorldInfo | info,
|  | PointerToArrayVBase3 | points,
|  | PointerToArrayint | indices,
|  | bool | tetralinks
| ) |  | `[static]`

static BulletSoftBodyNode makeTriMesh | ( | BulletSoftBodyWorldInfo | info,
|  | PointerToArrayVBase3 | points,
|  | PointerToArrayint | indices
| ) |  | `[static]`

static BulletSoftBodyNode makeTriMesh | ( | BulletSoftBodyWorldInfo | info,
|  | PointerToArrayVBase3 | points,
|  | PointerToArrayint | indices,
|  | bool | randomizeConstraints
| ) |  | `[static]`

static BulletSoftBodyNode makeTriMesh | ( | BulletSoftBodyWorldInfo | info,
|  | Geom const | geom
| ) |  | `[static]`

static BulletSoftBodyNode makeTriMesh | ( | BulletSoftBodyWorldInfo | info,
|  | Geom const | geom,
|  | bool | randomizeConstraints
| ) |  | `[static]`

randomizeConstraints | ( |  | ) |

releaseCluster | ( | int | index | ) |

releaseClusters | ( |  | ) |

setMass | ( | int | node,
|  | float | mass
| ) |  |

setPose | ( | bool | bvolume,
|  | bool | bframe
| ) |  |

setTotalDensity | ( | float | density | ) |

setTotalMass | ( | float | mass,
|  | bool | fromfaces
| ) |  |

setTotalMass | ( | float | mass | ) |

setVelocity | ( | Vec3 const | velocity | ) |

setVolumeDensity | ( | float | density | ) |

setVolumeMass | ( | float | mass | ) |

unlinkCurve | ( |  | ) |

unlinkGeom | ( |  | ) |

unlinkSurface | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties